Skip to main content
GET
/
preview
/
retail-media
/
accounts
/
{accountId}
/
balances
/preview/retail-media/accounts/{accountId}/balances
curl --request GET \
  --url https://api.criteo.com/preview/retail-media/accounts/{accountId}/balances \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "createdAt": "2023-11-07T05:31:56Z",
        "deposited": 123,
        "name": "<string>",
        "remaining": 123,
        "spent": 123,
        "startDate": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "criteoPoNumber": "<string>",
        "endDate": "<string>",
        "memo": "<string>",
        "retailerId": "<string>",
        "retailerPoNumber": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "metadata": {
    "limit": 123,
    "offset": 123,
    "count": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

The account to get balances for.

Query Parameters

limit
integer<int32>
default:25

The number of elements to be returned.

Required range: 1 <= x <= 500
limit-to-id
string[]

The balance ids which the result is limited to.

Maximum array length: 50
offset
integer<int32>
default:0

The (zero-based) starting offset in the collection.

Required range: 0 <= x <= 2147483647

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several entities and metadata.

data
(object | null)[] | null

A domain entity exposed by the API, identified by a unique id.

errors
object[] | null
read-only

Errors that occured during this call.

metadata
object

Metadata related to the current request.

warnings
object[] | null
read-only

Warnings that occured during this call.